@charset "UTF-8";

@property --p{
  syntax: '<number>';
  inherits: true;
  initial-value: 0;
}



.ui-btn-a {
  color: white;
}


.ui-acl {

  .acl-module {
    background-color: #000;
    text-transform: uppercase;
    font-weight: bold;
  }
  .acl-module td {
    color: #FFF;
  }
  .acl-permission {
    text-align: center;
    width: 10%;
  }

}



.pie {
  --p:20;
  --b:22px;
  --c:darkred;
  --w:50px;
  
  width:var(--w);
  color:var(--c);
  aspect-ratio:1;
  position:relative;
  display:inline-grid;
  margin:5px;
  place-content:center;
  font-size:9px;
  font-weight:bold;
  font-family:sans-serif;
}
.pie:before,
.pie:after {
  content:"";
  position:absolute;
  border-radius:50%;
}
.pie:before {
  inset:0;
  background:
  radial-gradient(farthest-side,var(--c) 98%,#0000) top/var(--b) var(--b) no-repeat,
  conic-gradient(var(--c) calc(var(--p)*1%),#0000 0);
  -webkit-mask:radial-gradient(farthest-side,#0000 calc(99% - var(--b)),#000 calc(100% - var(--b)));
  mask:radial-gradient(farthest-side,#0000 calc(99% - var(--b)),#000 calc(100% - var(--b)));
}
.pie:after {
  inset:calc(50% - var(--b)/2);
  background:var(--c);
  transform:rotate(calc(var(--p)*3.6deg)) translateY(calc(50% - var(--w)/2));
}
.animate {
  animation:p 1s .5s both;
}
.no-round:before {
  background-size:0 0,auto;
}
.no-round:after {
  content:none;
}
@keyframes p {
  from{--p:0}
}



.uw-logo-container {
  text-align: center;
  margin-bottom: 17px;
}

.uw-logo {
  /* width: 100px;
  height: 100px; */
  margin-bottom: 27px;
}

.uw-logo-footer {
  width: 3cap;
  height: 30px;
}

.pc-sidebar .m-header {
  padding-top: 37px;
  margin-bottom: 17px;
  text-align: center;
}

.pc-sidebar .m-header .uw-logo {
  width: 80px;
  height: 80px;
  margin-bottom: 0;
  margin-top: 20px;
}


.uwui-row form .row {
  margin-bottom: 7px;
}


.uwui-row .form-check {
  padding-left: 0;
}
.uwui-row .form-check input[type="checkbox"] {
  margin-top: 17px;
  margin-right: 7px;
}


.asterisk-required {
  font-weight: bold;
  color: red;
}


.form-error-message {
  color: red;
  text-align: center;
  font-style: italic;
  font-size: smaller;
  margin-bottom: 17px;
}


.error-message {
  font-style: italic;
  font-size: smaller;
  text-align: left;
}

.error-invisible {
  visibility: hidden;
}

.error-visible {
  visibility: visible;
}





#snackbar {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  color: #fff;
  text-align: left;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 50%;
  bottom: 30px;
  font-size: 14px;
  border-radius: 10px;
}

#snackbar.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

#snackbar.success {
  background-color: green;
}

#snackbar.failure {
  background-color: orangered;
}

@-webkit-keyframes fadein {
  from {bottom: 0; opacity: 0;} 
  to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
  from {bottom: 0; opacity: 0;}
  to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
  from {bottom: 30px; opacity: 1;} 
  to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
  from {bottom: 30px; opacity: 1;}
  to {bottom: 0; opacity: 0;}
}

.ui-census-deadline {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-left: 50px;
  padding-top: 20px;
  height: 80px;
  color: white;
  background-color: red;
  font-weight: bold;
  border-radius: 10px;
}

.ui-voting-not-open {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-left: 50px;
  padding-top: 20px;
  height: 80px;
  color: white;
  background-color: orange;
  font-weight: bold;
  border-radius: 10px;
}

.ui-voting-closed {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-left: 50px;
  padding-top: 20px;
  height: 80px;
  color: white;
  background-color: red;
  font-weight: bold;
  border-radius: 10px;
}

.ui-polling-closed {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-left: 50px;
  padding-top: 20px;
  height: 80px;
  font-weight: bold;
  border-radius: 10px;
}
.ui-polling-closed button {
  text-transform: uppercase;
}

.voting-candidate-container {
  min-height: 150px;
  padding-left: 5px;
  padding-right: 5px;
}

.voting-candidate-container .voting-candidate {
  height: auto;
  padding: 2px;
  border: solid 1px #E6E6E6;
  border-radius: 7px;
  cursor: pointer;
}
.voting-candidate-container .voting-candidate:hover {
  border: solid 1px green;
  -moz-box-shadow: 0 0 10px #E0FCD6;
  -webkit-box-shadow: 0 0 10px #E0FCD6;
  box-shadow: 0 0 10px #E0FCD6;
}
.voting-candidate-container .voting-candidate img {
  height: 150px;
  width: 100%;
}

.voting-candidate-container .voting-candidate-title {
  text-align: center;
  font-weight: bold;
  text-decoration: underline;
  padding-top: 5px;
  padding-bottom: 5px;
}

.voting-candidate-container .voting-candidate-name {
  text-align: center;
  font-weight: bold;
  padding-top: 5px;
  padding-bottom: 5px;
}



.voting-candidate-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: solid 1px black;
  height: 150px;
}


.poll-candidate-selected {
  border: solid 1px green;
  -moz-box-shadow: 0 0 20px #a2fd81;
  -webkit-box-shadow: 0 0 10px #a2fd81;
  box-shadow: 0 0 10px #a2fd81;
  border-radius: 10px;
}


.ui-login .ph-globe-hemisphere-west {
  font-size: 27px;
  margin-right: 7px;
}


.uwui-row .card-header h4 {
  text-transform: uppercase;
}


.ui-voting-card {
  height: 100%;
}

.ui-voting-card img {
  height: 150px;
}

.ui-voting-card form {
  margin-bottom: 7px;
}

.ui-voting-card form button {
  width: 100px;
}

.ui-voting-card .btn-secondary, .ui-voting-card .btn-secondary:hover {
  color: white;
}


.ui-result-card {
  display: flex;
  flex-direction: column;
}

.ui-result-card .candidate-name {
  margin-top: 17px;
  margin-bottom: 17px;
  font-weight: bold;
  text-transform: uppercase;
}

.ui-result-card .ui-label {
  display: inline-block;
  width: 97px;
  margin: 2px 17px;
  font-weight: bold;
  text-align: right;
}

.ui-result-card .ui-value {
  display: inline-block;
}

.ui-voting-card button {
  margin-bottom: 5px;
}


.m-header img {
  width: 50%;
  height: 50%;
}


.card-body-buttons {
  flex: 1 1 auto;
  padding-right: var(--bs-card-spacer-y);
  padding-bottom: var(--bs-card-spacer-x);
  color: var(--bs-card-color);
}


.ui-col-left {
  text-align: left;
}

.ui-col-right {
  text-align: right;
}

.ui-col-center {
  text-align: center;
}


textarea.ui-product-description {
  padding-top: 10px;
  padding-left: 17px;
  margin-bottom: 17px;
  border-radius: 7px;
}

/* .ck-editor__main {
  border-radius: 17px;
} */

 .ck-content {
  min-height: 100px;
}

select.ui-product-description {
  margin-bottom: 10px;
}

button.ui-product-description {
  margin-top: 17px;
}


.word-wrap {
  word-break: break-all; 
  word-wrap: break-word;
}

img.ui-home-product {
  height: 300px !important;
  width: auto !important;
}


.text-comment {
  width: 100%;
  padding: 10px;
}


/*

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  /* background-color: #2196F3; */ /*
  background-color: var(--bs-primary);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--bs-primary);
}

input:checked + .slider:before {
  
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */ /*
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

*/


.switch {
  position: relative;
  margin-top: 3px;
  display: inline-block;
  width: 47px;
  /* height: 34px; */
  height: 22px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: -2px;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  /*
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  */

  top: 3px;
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;

  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  /* background-color: #2196F3; */
  background-color: var(--bs-primary);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--bs-primary);
}

input:checked + .slider:before {
  
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  /* border-radius: 34px; */
  border-radius: 20px;
}

.slider.round:before {
  border-radius: 50%;
}



.ui-image {
  padding-bottom: 7px;
}
.ui-image:hover {
  background-color: #E6E6E6;
  border-radius: 7px;
}
.ui-image img:hover {
  cursor: pointer;
}

.ui-image .img-thumbnail:hover,
.ui-image .img-selected {
  -moz-box-shadow: 0 0 3px var(--bs-primary);
  -webkit-box-shadow: 0 0 3px var(--bs-primary);
  box-shadow: 0 0 3px var(--bs-primary);
}


.admin-product-name {
  height: 37px;
}


.ui-field-label {
  font-weight: bold;
}

.ui-field-content {
  padding-left: 7px;
}

.ui-no-stock {
  background-color: #FFF3F2; 
  color: red; 
  padding: 10px; 
  font-weight: bold;
  font-style: italic; 
  border-radius: 7px;
}

.ui-btn-primary-inverse {
  --bs-btn-bg: #fff;
  --bs-btn-color: #0d6efd;
  --bs-btn-border-color: #0d6efd;
  --bs-btn-hover-bg: #fff;
  --bs-btn-hover-color: #0d6efd;
  --bs-btn-hover-border-color: #0d6efd;
}

.ui-btn-secondary-inverse {
  --bs-btn-bg: #fff;
  --bs-btn-color: #6c757d;
  --bs-btn-border-color: #6c757d;
  --bs-btn-hover-bg: #fff;
  --bs-btn-hover-color: #6c757d;
  --bs-btn-hover-border-color: #6c757d;
}
